Index: uspace/app/bdsh/cmds/builtin_cmds.c
===================================================================
--- uspace/app/bdsh/cmds/builtin_cmds.c	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/builtin_cmds.c	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -40,17 +40,4 @@
 
 extern volatile unsigned int cli_interactive;
-
-int builtin_is_restricted(int pos)
-{
-	builtin_t *cmd = builtins;
-	cmd += pos;
-
-	if (cli_interactive && cmd->restricted <= 0)
-		return 0;
-	if (!cli_interactive && cmd->restricted >= 0)
-		return 0;
-
-	return 1;
-}
 
 int is_builtin(const char *command)
Index: uspace/app/bdsh/cmds/builtins/builtin_aliases.h
===================================================================
--- uspace/app/bdsh/cmds/builtins/builtin_aliases.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/builtins/builtin_aliases.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -5,5 +5,4 @@
 
 char *builtin_aliases[] = {
-	"chdir", "cd",
 	NULL, NULL
 };
Index: uspace/app/bdsh/cmds/builtins/cd/cd_def.h
===================================================================
--- uspace/app/bdsh/cmds/builtins/cd/cd_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/builtins/cd/cd_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,11 +4,3 @@
 	&cmd_cd,
 	&help_cmd_cd,
-	-1
 },
-{
-	"chdir",
-	NULL,
-	&cmd_cd,
-	&help_cmd_cd,
-	-1
-},
Index: uspace/app/bdsh/cmds/cmds.h
===================================================================
--- uspace/app/bdsh/cmds/cmds.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/cmds.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -37,5 +37,4 @@
 	mod_entry_t entry;  /* Command (exec) entry function */
 	mod_help_t help;    /* Command (help) entry function */
-	int restricted;     /* Restricts to interactive/non-interactive only */
 } module_t;
 
Index: uspace/app/bdsh/cmds/mod_cmds.c
===================================================================
--- uspace/app/bdsh/cmds/mod_cmds.c	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/mod_cmds.c	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -53,24 +53,4 @@
 
 extern volatile unsigned int cli_interactive;
-
-int module_is_restricted(int pos)
-{
-	/* Restriction Levels:
-	 * -1 -> Available only in interactive mode
-	 *  0 -> Available in any mode
-	 *  1 -> Available only in non-interactive mode */
-
-	module_t *mod = modules;
-	mod += pos;
-	/* We're interactive, and the module is OK to run */
-	if (cli_interactive && mod->restricted <= 0)
-		return 0;
-	/* We're not interactive, and the module is OK to run */
-	if (!cli_interactive && mod->restricted >= 0)
-		return 0;
-
-	/* Anything else is just a big fat no :) */
-	return 1;
-}
 
 /* Checks if an entry function matching command exists in modules[], if so
Index: uspace/app/bdsh/cmds/modules/cat/cat_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/cat/cat_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/cat/cat_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,5 +4,4 @@
 	&cmd_cat,
 	&help_cmd_cat,
-	0
 },
 
Index: uspace/app/bdsh/cmds/modules/cp/cp_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/cp/cp_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/cp/cp_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,5 +4,4 @@
 	&cmd_cp,
 	&help_cmd_cp,
-	0
 },
 
Index: uspace/app/bdsh/cmds/modules/help/help.c
===================================================================
--- uspace/app/bdsh/cmds/modules/help/help.c	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/help/help.c	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -134,5 +134,4 @@
 	/* First, show a list of built in commands that are available in this mode */
 	for (cmd = builtins; cmd->name != NULL; cmd++, i++) {
-		if (!builtin_is_restricted(i)) {
 			if (is_builtin_alias(cmd->name))
 				printf("   %-16s\tAlias for `%s'\n", cmd->name,
@@ -140,5 +139,4 @@
 			else
 				printf("   %-16s\t%s\n", cmd->name, cmd->desc);
-		}
 	}
 
@@ -147,5 +145,4 @@
 	/* Now, show a list of module commands that are available in this mode */
 	for (mod = modules; mod->name != NULL; mod++, i++) {
-		if (!module_is_restricted(i)) {
 			if (is_module_alias(mod->name))
 				printf("   %-16s\tAlias for `%s'\n", mod->name,
@@ -153,5 +150,4 @@
 			else
 				printf("   %-16s\t%s\n", mod->name, mod->desc);
-		}
 	}
 
Index: uspace/app/bdsh/cmds/modules/help/help_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/help/help_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/help/help_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,4 +4,3 @@
 	&cmd_help,
 	&help_cmd_help,
-	0
 },
Index: uspace/app/bdsh/cmds/modules/ls/ls_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/ls/ls_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/ls/ls_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,13 +4,3 @@
 	&cmd_ls,
 	&help_cmd_ls,
-	0
 },
-
-{
-	"dir",
-	NULL,
-	&cmd_ls,
-	&help_cmd_ls,
-	0
-},
-
Index: uspace/app/bdsh/cmds/modules/mkdir/mkdir_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/mkdir/mkdir_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/mkdir/mkdir_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,13 +4,5 @@
 	&cmd_mkdir,
 	&help_cmd_mkdir,
-	0
 },
 
-{
-	"md",
-	NULL,
-	&cmd_mkdir,
-	&help_cmd_mkdir,
-	0
-},
 
Index: uspace/app/bdsh/cmds/modules/module_aliases.h
===================================================================
--- uspace/app/bdsh/cmds/modules/module_aliases.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/module_aliases.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -13,8 +13,4 @@
 
 char *mod_aliases[] = {
-	"exit", "quit",
-	"md", "mkdir",
-	"del", "rm",
-	"dir", "ls",
 	NULL, NULL
 };
Index: uspace/app/bdsh/cmds/modules/pwd/pwd_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/pwd/pwd_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/pwd/pwd_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,4 +4,3 @@
 	&cmd_pwd,
 	&help_cmd_pwd,
-	-1
 },
Index: uspace/app/bdsh/cmds/modules/quit/quit.c
===================================================================
--- uspace/app/bdsh/cmds/modules/quit/quit.c	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/quit/quit.c	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -35,5 +35,5 @@
 #include "cmds.h"
 
-static char *cmdname = "quit";
+static char *cmdname = "exit";
 
 extern volatile unsigned int cli_quit;
Index: uspace/app/bdsh/cmds/modules/quit/quit_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/quit/quit_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/quit/quit_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -1,14 +1,6 @@
 {
-	"quit",
-	"Exit the console",
+	"exit",
+	"Exit the shell",
 	&cmd_quit,
 	&help_cmd_quit,
-	-1
 },
-{
-	"exit",
-	NULL,
-	&cmd_quit,
-	&help_cmd_quit,
-	-1
-},
Index: uspace/app/bdsh/cmds/modules/rm/rm_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/rm/rm_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/rm/rm_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,13 +4,4 @@
 	&cmd_rm,
 	&help_cmd_rm,
-	0
 },
 
-{
-	"del",
-	NULL,
-	&cmd_rm,
-	&help_cmd_rm,
-	0
-},
-
Index: uspace/app/bdsh/cmds/modules/sleep/sleep_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/sleep/sleep_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/sleep/sleep_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,5 +4,4 @@
 	&cmd_sleep,
 	&help_cmd_sleep,
-	0
 },
 
Index: uspace/app/bdsh/cmds/modules/touch/touch_def.h
===================================================================
--- uspace/app/bdsh/cmds/modules/touch/touch_def.h	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/cmds/modules/touch/touch_def.h	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -4,5 +4,4 @@
 	&cmd_touch,
 	&help_cmd_touch,
-	0
 },
 
Index: uspace/app/bdsh/input.c
===================================================================
--- uspace/app/bdsh/input.c	(revision 48c3d504fc31a177cd3f40efea0b99148bde9b18)
+++ uspace/app/bdsh/input.c	(revision d752cf4b1be184990dc8cf50aba3798a8f14cfae)
@@ -73,7 +73,4 @@
 	tmp = cli_strdup(usr->line);
 
-	/* Break up what the user typed, space delimited */
-
-	/* TODO: Protect things in quotes / ticks, expand wildcards */
 	cmd[n] = cli_strtok(tmp, " ");
 	while (cmd[n] && n < WORD_MAX) {
@@ -87,36 +84,16 @@
 	}
 
-	/* Its a builtin command */
+	/* Its a builtin command ? */
 	if ((i = (is_builtin(cmd[0]))) > -1) {
-		/* Its not available in this mode, see what try_exec() thinks */
-		if (builtin_is_restricted(i)) {
-				rc = try_exec(cmd[0], cmd);
-				if (rc)
-					/* No external matching it could be found, tell the
-					 * user that the command does exist, but is not
-					 * available in this mode. */
-					cli_restricted(cmd[0]);
-				goto finit;
-		}
-		/* Its a builtin, its available, run it */
 		rc = run_builtin(i, cmd, usr);
 		goto finit;
-	/* We repeat the same dance for modules */
+	/* Its a module ? */
 	} else if ((i = (is_module(cmd[0]))) > -1) {
-		if (module_is_restricted(i)) {
-			rc = try_exec(cmd[0], cmd);
-			if (rc)
-				cli_restricted(cmd[0]);
-			goto finit;
-		}
 		rc = run_module(i, cmd);
 		goto finit;
-	} else {
-		/* Its not a module or builtin, restricted or otherwise.
-		 * See what try_exec() thinks of it and just pass its return
-		 * value back to the caller */
-		rc = try_exec(cmd[0], cmd);
-		goto finit;
 	}
+
+	/* See what try_exec thinks of it */
+	rc = try_exec(cmd[0], cmd);
 
 finit:
